//---------------------------------------------------
// module  : FPMSMCD.h                         
// auteur  : Max Mignotte                            
// date    :                                              
// langage : C++                                      
// labo    : DIRO                                 
//---------------------------------------------------

#ifndef FPMSMCD_H
#define FPMSMCD_H

//------------------------------------------------
// FICHIERS INCLUS -------------------------------
//------------------------------------------------
#include "FunctionFPMSMCD.h"
#include "NonParaLike.h"
#include "Chrono.h"
#include "EstimMixtDist.h"

//------------------------------------------------
// CONSTANTES  -----------------------------------
//------------------------------------------------

//>MODEL_VISU
const int ZOOM=1;
const int SAVE=0;
const int VISU=1;
const int QUIT=0;


//------------------------------------------------
// FPMSMCD CLASS----------------------------------
//------------------------------------------------
class FPMSMCD
{
  public:

  //Imgs_&_Segs
  float*** MatImgBef;
  float*** MatImgAft;
  float*** MatImgGtr;
  float*** MatImgSeg;
  float*** MatImgCon;
  
  float** MatImgBefWB;
  float** MatImgAftWB;
  float** MatImgGtrWB;
  float** MatImgSegWB;
  float** MatImgIniWB;

  float** MatImgTmp1;
  float** MatImgTmp2;
  float** MatImgTmp3;
  float** MatImgTmp4;
  
  //Img-Parameters
  int width,length;
  int FlgColorImgB;
  int FlgColorImgA;
  int FlgSave;
  char NameImg[100];
  char MyCom[200];
  char InfoCD[200];
  float MyParam;

  //Measure
  float fmeasure;
  float precision;
  int elptime;

  //Methods
  public:
  FPMSMCD(float***,float***,float***,int,int,char*,float);  
  ~FPMSMCD();

  void DetectionMCD_FRCT();
};

#endif 
